VMDK-CONVERT(1)

NAME
vmdk-convert - Convert raw disk images or VMFS extents to streamable VMDK images

SYNOPSIS
vmdk-convert [-t tools_version] input_file [output_file]

DESCRIPTION
The vmdk-convert command converts raw disk images or VMFS virtual machine disk extents into streamable VMDK images compatible with VMware products. It can also set the VMware Tools version in the disk metadata.

OPTIONS

-t tools_version
    Set the VMware Tools version installed in the virtual machine disk. The tools version is a number calculated from the version string x.y.z using: 1024*x + 32*y + z. Example: version 12.1.5 → 1024*12 + 32*1 + 5 = 12325. Default: 2147483647 (MAXINT, 2^31-1).

EXAMPLES

  Convert a new raw disk image to VMDK (as root):

$ dd if=/dev/zero of=testvm.img bs=1M count=4096
$ LOOP_DEVICE=$(losetup --show -f testvm.img)

Format disk to loop device and install OS into image
$ losetup -d $LOOP_DEVICE
$ vmdk-convert testvm.img testvm.vmdk

Set the VMware Tools version in an existing VMDK:

$ vmdk-convert -t 12325 testvm-flat.vmdk disk1.vmdk

  Create VMDK disk from an existing vSphere virtual machine:

Presume the virtual machine's name is testvm, and virtual machine files include:
    testvm-312d29db.hlog testvm-flat.vmdk testvm.nvram testvm.vmdk testvm.vmsd testvm.vmx vmware.log

Copy testvm folder to $TESTSVM_PATH Convert vmfs raw data extent file of the VM to OVF streaming format.

$ cd $TESTSVM_PATH
$ vmdk-convert testvm-flat.vmdk

After converting, a new vmdk file dst.vmdk will be created under $TESTSVM_PATH folder. Or, you can specify the new vmdk file name by running

$ vmdk-convert testvm-flat.vmdk disk1.vmdk

SEE ALSO
mkova (1), ova-compose (1), ovfenv (1)

AUTHOR
Written by Mégane Vilain <megane.vilain@gmail.com>

REPORTING BUGS
Report bugs to <https://github.com/vmware/open-vmdk/issues>.

COPYRIGHT
Copyright © 2025 Mégane Vilain Licensed under the Apache License, Version 2.0.